// smallwin.cpp -- Use cwindow class to display a window

#include <iostream.h>
#include "window.h"
#include "key.h"

main()
{
  winStruct ws = {
    6, 20, 40, 12, // row, column, width, height
    0x07,          // text attribute
    0x0f,          // border attribute
    0x70,          // highlight attribute
    1              // border type
  };
  cwindow *wp;       // Define pointer to window
  
  cwindow::startup();
  wp = new cwindow(ws, " Small Window ");
  wp->showWindow();
  wp->gotorc(2, 4);
  wp->puts("Press <Esc> to quit...");
  while (getKey() != 27) ;
  delete wp;
  cwindow::shutDown();
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/26/1990   Time: 05:37 pm

// Revision 1.01    Date: 07/08/1991   Time: 05:41 pm
// Converted for Borland C++ 2.0

